## fonttools 3.0

=== Makefile ===
all:
	./setup.py bdist

dist:
	./setup.py sdist

install:
	./setup.py install

install-user:
	./setup.py install --user

check: all
	./run-tests.sh

## fonttools 2.3

=== debian/changelog ===
fonttools (2.3-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Dec 2010 23:59:57 +0000

fonttools (2.3-1) unstable; urgency=low

  * New upstream release
    - TrueType Collection (TTC) support
    - Python 2.6 support
    - Unicode 5.2.0 data
  * Split the eexecOp module out into a separate package, switch fonttools
    to arch all and recommend the arch any eexecOp module to reduce archive
    space used by duplicates of the arch all python scripts in fonttools
  * Switch to debhelper compat 7 and dh for debian/rules
  * Adapt installation and rules for Python 2.6 (Closes: #547821)
  * Add ${misc:Depends} to dependencies for debhelper
  * Switch the section to fonts in line with the override
  * Bump Standards-Version, no changes needed
  * Switch to dpkg source format version 3
  * Switch from python-central to python-support and handle upgrades from
    pycentral with removal in preinst

 -- Paul Wise <pabs@debian.org>  Sat, 14 Nov 2009 22:58:53 +0800

fonttools (2.2-2) unstable; urgency=medium

  * Fix dependencies to use Numpy instead of Numeric (Closes: #492010)
  * Drop unneeded quilt build-dependency
  * Support noopt in DEB_BUILD_OPTIONS
  * Complies with policy 3.8.0, update Standards-Version

 -- Paul Wise <pabs@debian.org>  Thu, 24 Jul 2008 00:03:02 +0800

fonttools (2.2-1) unstable; urgency=low

  * New upstream release
    - Uses numpy instead of Numeric (Closes: #478441)
    - Includes ttx manual page, drop debian version
    - Includes different fix for #328098, drop 10_fix_summertime_traceback
    - Drop bugs.txt since fonttools apparently has no bugs ;)
  * Update doc-base section

 -- Paul Wise <pabs@debian.org>  Sun, 18 May 2008 16:34:47 +0800

fonttools (2.1-1) unstable; urgency=low

  * New upstream release
    - Fixes traceback on amd64 with DejaVuSans.ttf (Closes: #434377)
    - Drop 20_cjk_performance_improvement, 01_update_changelog,
      both have been applied upstream
  * Fix watch file so that it works with the release (Closes: #449785)
  * Drop unneeded dependency on python-xml (Closes: #468585)
  * Bump Standards-Version (no changes needed)

 -- Paul Wise <pabs@debian.org>  Sat, 01 Mar 2008 16:58:54 +0900

fonttools (1.99+2.0b1+cvs20061021-2) unstable; urgency=low

  * Hack around distutils poor multiple-version support (Closes: #445261)
  * Drop obsolete use of dh_python
  * Switch to new Homepage field

 -- Paul Wise <pabs@debian.org>  Fri, 05 Oct 2007 13:18:31 +0930

fonttools (1.99+2.0b1+cvs20061021-1) unstable; urgency=low

  * New upstream release (CVS from 2006-10-21)
    - Update changelog patch from CVS
  * Change my email address now that I'm a Debian Developer
  * Update python dependencies and stuff to lintian's liking

 -- Paul Wise <pabs@debian.org>  Fri, 27 Apr 2007 18:03:46 +1000

fonttools (1.99+2.0b1+cvs20060225-1) unstable; urgency=low

  * New upstream bugfix snapshot
  * Migrate patches from the diff.gz to quilt
  * Remove changelog.CVS, instead update upstream's changelog file
  * Fix the watch file, in case upstream ever releases
  * Make homepage in the description comply with devref 6.2.4
  * Tidy the copyright file and fix the copyright years
  * Don't byte-compile .py files at build time
  * Ensure CFLAGS is passed to setup.py
  * Clean unused parts of debian/rules
  * 10_fix_summertime_traceback: return a constant from calc_mac_epoch_diff
    Finally closes: #328098
  * Update for the new Python policy
  * Bump Standards-Version (no changes)

 -- Paul Wise <pabs3@bonedaddy.net>  Fri, 16 Jun 2006 19:26:14 +0800

fonttools (1.99+2.0b1+cvs20050624-2) unstable; urgency=low

  * Fix byte-compiling python files

 -- Paul Wise <pabs3@bonedaddy.net>  Wed,  5 Oct 2005 21:12:31 +0800

fonttools (1.99+2.0b1+cvs20050624-1) unstable; urgency=low

  * New maintainer (Closes: #330480)
  * New upstream release (CVS from 2005-06-24)
    - Drop patches (everything included upstream)
    - Fixes traceback for newer OS/2 tables (Closes: #306287)
  * Update Standards-Version (no changes)
  * Include ttx manpage from Florent Rougon (Closes: #249673)
  * Fix Kiev summer traceback (fix by Eugeniy Meshcheryakov closes: #328098)
  * Improve CJK font performance (fix by Tomasz Wegrzanowski closes: #312379)
  * Remove example menu file and manpages from dh_make
  * Fix and use the doc-base example from dh_make
  * Clean up debian/rules
  * Remove install instructions from Docs/install.txt and install as README
    - Thanks to prec from #sed on freenode for the sed script to do this
  * Don't install README.txt
  * Install Docs/changes.txt as NEWS
  * Use dh_python and update debian/control to prepare for Python 2.4
  * chmod a+x the ttx.py script

 -- Paul Wise <pabs3@bonedaddy.net>  Thu, 29 Sep 2005 17:18:28 +0800

fonttools (1.99+2.0b1+cvs20031014-1) unstable; urgency=low

  * CVS updates as of 2003-10-14.
  * Lib/fontTools/unicode.py: Updated to Unicode 4.0.0.
  * Standards-Version: 3.6.1.

 -- Anthony Fok <foka@debian.org>  Tue, 18 Nov 2003 00:53:59 +0800

fonttools (1.99+2.0b1+cvs20030629-1) unstable; urgency=low

  * CVS updates as of 2003-06-29.
  * Updated dependencies to Python 2.3.
  * Standards-Version: 3.6.0.

 -- Anthony Fok <foka@debian.org>  Wed, 13 Aug 2003 01:38:17 +0800

fonttools (1.99+2.0b1+cvs20030223-1) unstable; urgency=low

  * ttx.py: typo fixes
  * _c_m_a_p.py: For subtables, change "version" to language.
    Modified cmap_format_12.compile() to make CMap format 12 creation
    actually work.
  * unicode.py: Updated to Unicode 3.2.0 with characters beyond the BMP.

 -- Anthony Fok <foka@debian.org>  Wed,  5 Mar 2003 02:46:40 +0800

fonttools (1.99+2.0b1+cvs20030208-1) unstable; urgency=low

  * CVS update as of 2003-02-08, with newly added CMap format 12 support
    contributed by rroberts.

 -- Anthony Fok <foka@debian.org>  Mon, 10 Feb 2003 01:54:30 +0800

fonttools (1.99+2.0b1+cvs20030125-1) unstable; urgency=low

  * Initial Release.


=== debian/control ===
Source: fonttools
Section: fonts
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-all, python-all-dev, python-support, python-numpy
Standards-Version: 3.8.3
Homepage: http://sourceforge.net/projects/fonttools/

Package: fonttools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Recommends: fonttools-eexecop (>= ${source:Version})
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.

Package: fonttools-eexecop
Architecture: any
Enhances: fonttools
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: python extension to speed up fonttools
 This is an optional C implementation of part of fonttools that speeds
 up the eexec and charstring encryption algorithms as used by PostScript
 Type 1 fonts. fonttools is much faster with it, it is quite small but
 most people will be using fonttools with TrueType or OpenType fonts
 so fonttools recommends it instead of depending on it.

=== debian/rules ===
#!/usr/bin/make -f
%:
	+dh $@

override_dh_auto_build:
	dh_auto_build
	cp Doc/changes.txt build/NEWS
	sed -f debian/stripinstall < Doc/install.txt > build/README

override_dh_auto_clean:
	rm -f build/NEWS build/README
	dh_auto_clean

override_dh_pysupport:
	rm -f debian/fonttools/usr/lib/python*/*-packages/FontTools/fontTools/misc/eexecOp.so
	dh_pysupport

override_dh_installchangelogs:
	dh_installchangelogs Doc/ChangeLog

=== debian/watch ===
version=3
http://sf.net/fonttools/fonttools-([\d\.]*)\.tar\.gz debian uupdate

## fonttools 2.4

=== debian/changelog ===
fonttools (2.4-1) unstable; urgency=low

  * New upstream release
    - Fixes error in OS/2 table of mona.ttf (LP: #223884)
  * Switch to dh_python2
  * Switch to debhelper 9
  * Bump Standards-Version, no changes needed
  * Drop unneeded postinst
  * Improve the watch file
  * Adjust download location
  * Add a file with upstream info

 -- Paul Wise <pabs@debian.org>  Sat, 22 Jun 2013 23:48:19 +0800

=== debian/control ===
Source: fonttools
Section: fonts
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 9),
 python (>= 2.4),
 python-all,
 python-all-dev,
 python-numpy,
 python-support
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/fonttools/

Package: fonttools
Architecture: all
Depends:
 python-numpy,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 fonttools-eexecop (>= ${source:Version})
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.

Package: fonttools-eexecop
Architecture: any
Enhances:
 fonttools
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: python extension to speed up fonttools
 This is an optional C implementation of part of fonttools that speeds
 up the eexec and charstring encryption algorithms as used by PostScript
 Type 1 fonts. fonttools is much faster with it, it is quite small but
 most people will be using fonttools with TrueType or OpenType fonts
 so fonttools recommends it instead of depending on it.

=== debian/rules ===
#!/usr/bin/make -f
%:
	+dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	cp Doc/changes.txt build/NEWS
	sed -f debian/stripinstall < Doc/install.txt > build/README

override_dh_install:
	dh_install --package=fonttools --exclude=.so
	dh_install --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs Doc/ChangeLog

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
http://sf.net/fonttools/fonttools-([\d\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fonttools 3.0

=== debian/changelog ===
fonttools (3.0-1) unstable; urgency=medium

  * New upstream release
  * Adopt package (closes: #764300)
  * Remove fonttools-eexecop package; code dropped upstream
  * Switch to pybuild
  * Drop dependency on python-all-dev
  * Update watch and copyright to point to GitHub

 -- Luke Faraone <lfaraone@debian.org>  Fri, 30 Oct 2015 04:57:37 +0000

fonttools (2.4-2) unstable; urgency=medium

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Remove obsolete python-support build-dependency (Closes: #786279).
  * Move upstream metadata into its correct location.
  * Bump Standards-Version to 3.9.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 15 Jun 2015 18:27:04 +0200

=== debian/control ===
Source: fonttools
Section: fonts
Priority: optional
Maintainer: Luke Faraone <lfaraone@debian.org>
Build-Depends:
 debhelper (>= 9),
 python (>= 2.6.6-3~),
 python-all (>= 2.6.6-3~),
 python-numpy,
 dh-python
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/fonttools/

Package: fonttools
Architecture: all
Depends:
 python-numpy,
 ${misc:Depends},
 ${python:Depends}
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.

=== debian/rules ===
#!/usr/bin/make -f
%:
	+dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	cp Doc/changes.txt build/NEWS
	sed -f debian/stripinstall < Doc/install.txt > build/README

override_dh_install:
	dh_install --package=fonttools

override_dh_installchangelogs:
	dh_installchangelogs Doc/changes.txt

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fonttools-$1\.tar\.gz/ \
  https://github.com/behdad/fonttools/tags .*/v?(\d\S*)\.tar\.gz

## fonttools 3.21.2

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.1; platform_python_implementation != "PyPy"
brotlipy==0.7.0; platform_python_implementation == "PyPy"
unicodedata2==10.0.0; python_version < '3.7' and platform_python_implementation != "PyPy"
munkres==1.0.10

=== debian/changelog ===
fonttools (3.21.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.21.2.
  * debian/copyright:
    - Upstream changed license from old MIT to Expat
    - Properly document copyright of generated files
  * debian/rules:
    - Bump Standards-Version to 4.1.3.
    - Change Vcs fields to salsa.debian.org.
  * Add lintian overrides for documenting licenses of certain files.

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 17 Jan 2018 23:48:30 +0800

fonttools (3.20.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/copyright:
    - Use copyright-format 1.0
    - Add several known copyright information of test fonts (Closes: #878643)
  * debian/control: replace python-sphinx to python3-sphinx
  * debian/rules: add override_dh_auto_test
  * Build unicodeData library from source

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Fri, 15 Dec 2017 12:28:17 +0800

fonttools (3.19.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add several Build-Depends for build tests
  * Depend on python-brotli, python-gi, python-reportlab, and python-sympy

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 18 Nov 2017 16:34:48 -0500

fonttools (3.16.0-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Have fonttools depend on python3-pkg-resources

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Oct 2017 21:11:41 -0400

fonttools (3.16.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.16.0

  * add Replaces:/Breaks: also for python3-fonttools (closes: #878670)

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Oct 2017 18:13:56 +0200

fonttools (3.15.1-3) unstable; urgency=medium

  * Team upload
  * Separate the package to multiple packages (Closes: #877165)
  * Provide python2 version of fonttools (Closes: #876439)
  * Change the section from fonts to devel
  * Set Standards-Version to 4.1.1

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 03 Oct 2017 11:52:42 +0800

fonttools (3.15.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable 

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Sep 2017 18:09:16 +0900

fonttools (3.15.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #872448)
  * debian/control
    - set debhelper (>= 10)
    - adjust python build dependency
    - add python-sphinx since upstream use rst files.
    - set Debian Fonts Task Force as Maintainer
    - set Standards-Version to 4.1.0
    - update Homepage: (Closes: #838374)
    - add Vcs-*
    - add X-Python3-Version: >= 3.4
  * debian/compat
    - set 10
  * debian/rules
    - simplify it
    - deal with upstream's change
    - specify sphinx doc directory
  * debian/docs
    - update it to include rst files
  * debian/stripinstall
    - unnecessary with upstream's change, drop it
  * debian/watch
    - update to version4
  * debian/doc-base
    - once drop it
  * debian/patches
    - add 0001-add-module-path-for-automodule-directive.patch
  * debian/clean
    - clean sphinx build files

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Aug 2017 20:38:26 +0900

=== debian/control ===
Source: fonttools
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Luke Faraone <lfaraone@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gir1.2-atk-1.0 <!nocheck>,
 gir1.2-gtk-3.0 <!nocheck>,
 python-all,
 python-brotli (>= 0.6.0) <!nocheck>,
 python-gi <!nocheck>,
 python-numpy,
 python-pytest <!nocheck>,
 python-reportlab <!nocheck>,
 python-setuptools,
 python-sympy <!nocheck>,
 python3-all,
 python3-brotli (>= 0.6.0) <!nocheck>,
 python3-gi <!nocheck>,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-reportlab <!nocheck>,
 python3-setuptools,
 python3-sympy <!nocheck>,
 python3-sphinx,
 unicode-data
Standards-Version: 4.1.3
Homepage: https://github.com/fonttools/fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python3-fonttools
Section: python
Architecture: all
Depends:
 gir1.2-atk-1.0,
 gir1.2-gtk-3.0,
 python3-brotli (>= 0.6.0),
 python3-gi,
 python3-numpy,
 python3-pkg-resources,
 python3-reportlab,
 python3-sympy,
 ${misc:Depends},
 ${sphinxdoc:Depends},
 ${python3:Depends}
Replaces: fonttools (<< 3.15.1-3)
Breaks: fonttools (<< 3.15.1-3)
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the Python 3 version of the fontTools package.

Package: python-fonttools
Section: python
Architecture: all
Depends:
 gir1.2-atk-1.0,
 gir1.2-gtk-3.0,
 python-brotli (>= 0.6.0),
 python-gi,
 python-numpy,
 python-pkg-resources,
 python-reportlab,
 python-sympy,
 ${misc:Depends},
 ${python:Depends}
Replaces: fonttools (<< 3.15.1-1)
Breaks: fonttools (<< 3.15.1-1)
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the Python 2 version of the fontTools package.

Package: python-fonttools-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Replaces: fonttools (<< 3.15.1-1)
Breaks: fonttools (<< 3.15.1-1)
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the sphinx documentation of the fontTools package.

Package: fonttools
Depends: python3, python3-fonttools, ${misc:Depends}
Architecture: all
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This provides the executables of fontTools package.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	python3 MetaTools/buildUCD.py --ucd-path=/usr/share/unicode
	PYTHONPATH="./Lib" python3 MetaTools/buildTableList.py
	dh_auto_build

override_dh_sphinxdoc:
	sphinx-build $(CURDIR)/Doc/source $(CURDIR)/debian/python-fonttools-doc/usr/share/doc/fonttools/html/
	dh_sphinxdoc

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

## fonttools 3.29.0

=== debian/changelog ===
fonttools (3.29.0-1) unstable; urgency=medium

  * New upstream release 3.29.0 (Closes: #903378)
  * debian/control:
    - Add Yao Wei (魏銘廷) as uploader
    - Remove deprecated X-Python-Version field
    - Change descriptions of binary packages
    - Update mailing list address
    - Bump debhelper to 11
  * debian/rules:
    - Bump Standards-Version to 4.1.5
  * debian/compat:
    - Bump debhelper to 11

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Mon, 03 Sep 2018 11:11:59 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: fonttools
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Luke Faraone <lfaraone@debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Uploaders:
+ Luke Faraone <lfaraone@debian.org>,
+ Yao Wei (魏銘廷) <mwei@lxde.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  gir1.2-atk-1.0 <!nocheck>,
  gir1.2-gtk-3.0 <!nocheck>,
  python-all,
- python-brotli (>= 0.6.0) <!nocheck>,
+ python-brotli (>= 1.0.1) <!nocheck>,
  python-gi <!nocheck>,
  python-numpy,
  python-pytest <!nocheck>,
@@ -17,7 +19,7 @@
  python-setuptools,
  python-sympy <!nocheck>,
  python3-all,
- python3-brotli (>= 0.6.0) <!nocheck>,
+ python3-brotli (>= 1.0.1) <!nocheck>,
  python3-gi <!nocheck>,
  python3-numpy,
  python3-pytest <!nocheck>,
@@ -26,12 +28,10 @@
  python3-sympy <!nocheck>,
  python3-sphinx,
  unicode-data
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 
 Package: python3-fonttools
 Section: python
@@ -39,7 +39,7 @@
 Depends:
  gir1.2-atk-1.0,
  gir1.2-gtk-3.0,
- python3-brotli (>= 0.6.0),
+ python3-brotli (>= 1.0.1),
  python3-gi,
  python3-numpy,
  python3-pkg-resources,
@@ -50,7 +50,7 @@
  ${python3:Depends}
 Replaces: fonttools (<< 3.15.1-3)
 Breaks: fonttools (<< 3.15.1-3)
-Description: Converts OpenType and TrueType fonts to and from XML
+Description: Converts OpenType and TrueType fonts to and from XML (Python 3 Library)
  FontTools/TTX is a library to manipulate font files from Python.
  It supports reading and writing of TrueType/OpenType fonts, reading
  and writing of AFM files, reading (and partially writing) of PS Type 1
@@ -65,7 +65,7 @@
 Depends:
  gir1.2-atk-1.0,
  gir1.2-gtk-3.0,
- python-brotli (>= 0.6.0),
+ python-brotli (>= 1.0.1),
  python-gi,
  python-numpy,
  python-pkg-resources,
@@ -75,7 +75,7 @@
  ${python:Depends}
 Replaces: fonttools (<< 3.15.1-1)
 Breaks: fonttools (<< 3.15.1-1)
-Description: Converts OpenType and TrueType fonts to and from XML
+Description: Converts OpenType and TrueType fonts to and from XML (Python 2 Library)
  FontTools/TTX is a library to manipulate font files from Python.
  It supports reading and writing of TrueType/OpenType fonts, reading
  and writing of AFM files, reading (and partially writing) of PS Type 1
@@ -92,7 +92,7 @@
  ${misc:Depends}
 Replaces: fonttools (<< 3.15.1-1)
 Breaks: fonttools (<< 3.15.1-1)
-Description: Converts OpenType and TrueType fonts to and from XML
+Description: Converts OpenType and TrueType fonts to and from XML (Documentation)
  FontTools/TTX is a library to manipulate font files from Python.
  It supports reading and writing of TrueType/OpenType fonts, reading
  and writing of AFM files, reading (and partially writing) of PS Type 1
@@ -104,7 +104,7 @@
 Package: fonttools
 Depends: python3, python3-fonttools, ${misc:Depends}
 Architecture: all
-Description: Converts OpenType and TrueType fonts to and from XML
+Description: Converts OpenType and TrueType fonts to and from XML (Executables)
  FontTools/TTX is a library to manipulate font files from Python.
  It supports reading and writing of TrueType/OpenType fonts, reading
  and writing of AFM files, reading (and partially writing) of PS Type 1

## fonttools 3.35.1

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.7; platform_python_implementation != "PyPy"
brotlipy==0.7.0; platform_python_implementation == "PyPy"
unicodedata2==11.0.0; python_version < '3.7' and platform_python_implementation != "PyPy"
scipy==1.2.0; platform_python_implementation != "PyPy"
munkres==1.0.12; platform_python_implementation == "PyPy"
zopfli==0.1.6
fs==2.1.3

=== debian/changelog ===
fonttools (3.35.1-1) unstable; urgency=medium

  * New upstream version 3.35.1
  * debian/control:
    - Bump Standards-Version to 4.3.0
    - Bump dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Jan 2019 13:13:20 +0100

fonttools (3.33.0-1) unstable; urgency=medium

  * New upstream release 3.33.0
  * debian/control:
    - Update dependencies
    - Fix fonttools binary package dependency
    - Change maintainer address
    - Bump Standards-Version to 4.2.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 12 Dec 2018 16:03:52 +0800

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,35 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
- Yao Wei (魏銘廷) <mwei@lxde.org>
+ Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
  debhelper (>= 11),
  dh-python,
  gir1.2-atk-1.0 <!nocheck>,
  gir1.2-gtk-3.0 <!nocheck>,
  python-all,
- python-brotli (>= 1.0.1) <!nocheck>,
+ python-brotli (>= 1.0.7) <!nocheck>,
  python-gi <!nocheck>,
  python-numpy,
  python-pytest <!nocheck>,
  python-reportlab <!nocheck>,
+ python-scipy (>= 1.1.0),
  python-setuptools,
  python-sympy <!nocheck>,
+ python-fs (>= 2.1.3),
  python3-all,
- python3-brotli (>= 1.0.1) <!nocheck>,
+ python3-brotli (>= 1.0.7) <!nocheck>,
  python3-gi <!nocheck>,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-reportlab <!nocheck>,
+ python3-scipy (>= 1.1.0),
  python3-setuptools,
  python3-sympy <!nocheck>,
+ python3-fs (>= 2.1.3),
  python3-sphinx,
  unicode-data
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
@@ -39,12 +43,14 @@
 Depends:
  gir1.2-atk-1.0,
  gir1.2-gtk-3.0,
- python3-brotli (>= 1.0.1),
+ python3-brotli (>= 1.0.7),
  python3-gi,
  python3-numpy,
  python3-pkg-resources,
  python3-reportlab,
+ python3-scipy (>= 1.1.0),
  python3-sympy,
+ python3-fs (>= 2.1.3),
  ${misc:Depends},
  ${sphinxdoc:Depends},
  ${python3:Depends}
@@ -65,12 +71,14 @@
 Depends:
  gir1.2-atk-1.0,
  gir1.2-gtk-3.0,
- python-brotli (>= 1.0.1),
+ python-brotli (>= 1.0.7),
  python-gi,
  python-numpy,
  python-pkg-resources,
  python-reportlab,
+ python-scipy (>= 1.1.0),
  python-sympy,
+ python-fs (>= 2.1.3),
  ${misc:Depends},
  ${python:Depends}
 Replaces: fonttools (<< 3.15.1-1)
@@ -102,7 +110,10 @@
  This is the sphinx documentation of the fontTools package.
 
 Package: fonttools
-Depends: python3, python3-fonttools, ${misc:Depends}
+Depends:
+ ${python3:Depends},
+ python3-fonttools (= ${source:Version}),
+ ${misc:Depends}
 Architecture: all
 Description: Converts OpenType and TrueType fonts to and from XML (Executables)
  FontTools/TTX is a library to manipulate font files from Python.

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
 	dh_auto_test
 endif
-

## fonttools 3.43.2

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.7; platform_python_implementation != "PyPy"
brotlipy==0.7.0; platform_python_implementation == "PyPy"
unicodedata2==12.0.0; python_version < '3.8' and platform_python_implementation != "PyPy"
scipy==1.2.1; platform_python_implementation != "PyPy" and python_version < '3.5'  # pyup: ignore
scipy==1.3.0; platform_python_implementation != "PyPy" and python_version >= '3.5'
munkres==1.0.12; platform_python_implementation == "PyPy" and python_version < '3.5'  # pyup: ignore
munkres==1.1.2; platform_python_implementation == "PyPy" and python_version >= '3.5'
zopfli==0.1.6
fs==2.4.8

=== debian/changelog ===
fonttools (3.43.2-1) unstable; urgency=medium

  * New upstream version 3.43.2
  * debian/control: Update dependencies
  * debian/copyright: Remove .gitattributes from release tarball because it
    interferes with git-buildpackage
  * Remove unused lintian overrides
  * Bump Standards-Version to 4.4.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:32:09 -0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python-scipy (>= 1.1.0),
  python-setuptools,
  python-sympy <!nocheck>,
- python-fs (>= 2.1.3),
+ python-fs (>= 2.4.4),
  python3-all,
  python3-brotli (>= 1.0.7) <!nocheck>,
  python3-gi <!nocheck>,
@@ -29,10 +29,10 @@
  python3-scipy (>= 1.1.0),
  python3-setuptools,
  python3-sympy <!nocheck>,
- python3-fs (>= 2.1.3),
+ python3-fs (>= 2.4.4),
  python3-sphinx,
  unicode-data
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
@@ -50,7 +50,7 @@
  python3-reportlab,
  python3-scipy (>= 1.1.0),
  python3-sympy,
- python3-fs (>= 2.1.3),
+ python3-fs (>= 2.4.8),
  ${misc:Depends},
  ${sphinxdoc:Depends},
  ${python3:Depends}
@@ -78,7 +78,7 @@
  python-reportlab,
  python-scipy (>= 1.1.0),
  python-sympy,
- python-fs (>= 2.1.3),
+ python-fs (>= 2.4.4),
  ${misc:Depends},
  ${python:Depends}
 Replaces: fonttools (<< 3.15.1-1)

## fonttools 4.2.4

=== debian/changelog ===
fonttools (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4
  * Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 29 Jan 2020 16:21:04 +0800

fonttools (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * debian/control: Add python3-munkres as aan alternative to python3-scipy
    (Closes: #947206)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Dec 2019 23:26:30 +0100

fonttools (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/salsa.ci: Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 01 Dec 2019 17:44:49 +0800

fonttools (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.1
  * Add d/tests/control and use pytest-3 to run pkgautotest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Oct 2019 12:13:35 +0800

fonttools (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Remove python2 package
  * Bump debhelper compatibility to 12
  * debian/control: Update dependencies
  * debian/copyright: Add test case copyright information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 31 Aug 2019 13:11:40 +0800

=== debian/control ===
Source: fonttools
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-brotli (>= 1.0.7),
 python3-pytest,
 python3-scipy (>= 1.2.2) | python3-munkres (>= 1.1.2),
 python3-setuptools,
 python3-sympy,
 python3-fs (>= 2.4.11),
 python3-lxml (>= 4.4.1),
 python3-sphinx,
 unicode-data
Standards-Version: 4.5.0
Homepage: https://github.com/fonttools/fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools

Package: python3-fonttools
Section: python
Architecture: all
Depends:
 python3-brotli (>= 1.0.7),
 python3-pkg-resources,
 python3-scipy (>= 1.2.2) | python3-munkres (>= 1.1.2),
 python3-sympy,
 python3-fs (>= 2.4.11),
 ${misc:Depends},
 ${python3:Depends}
Replaces: fonttools (<< 3.15.1-3)
Breaks: fonttools (<< 3.15.1-3)
Description: Converts OpenType and TrueType fonts to and from XML (Python 3 Library)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the Python 3 version of the fontTools package.

Package: python-fonttools-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Replaces: fonttools (<< 3.15.1-1)
Breaks: fonttools (<< 3.15.1-1)
Description: Converts OpenType and TrueType fonts to and from XML (Documentation)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the sphinx documentation of the fontTools package.

Package: fonttools
Depends:
 ${python3:Depends},
 python3-fonttools (= ${source:Version}),
 ${misc:Depends}
Architecture: all
Description: Converts OpenType and TrueType fonts to and from XML (Executables)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This provides the executables of fontTools package.

## fonttools 4.5.0

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.7; platform_python_implementation != "PyPy"
brotlipy==0.7.0; platform_python_implementation == "PyPy"
unicodedata2==13.0.0.post2; python_version < '3.9' and platform_python_implementation != "PyPy"
scipy==1.4.1; platform_python_implementation != "PyPy"
munkres==1.1.2; platform_python_implementation == "PyPy"
zopfli==0.1.6
fs==2.4.11
lxml==4.5.0

=== debian/changelog ===
fonttools (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/control: Update dependencies
  * Fix test failure caused by newer unicode-data used in build
    (Closes: #954642)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 22 Mar 2020 17:40:59 +0800

fonttools (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/copyright: add copyright to NotoColorEmoji used as test data

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:00:11 +0800

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
  python3-all,
  python3-brotli (>= 1.0.7),
  python3-pytest,
- python3-scipy (>= 1.2.2) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.3.3) | python3-munkres (>= 1.1.2),
  python3-setuptools,
  python3-sympy,
  python3-fs (>= 2.4.11),
- python3-lxml (>= 4.4.1),
+ python3-lxml (>= 4.5.0),
  python3-sphinx,
- unicode-data
+ unicode-data (>= 13.0.0)
 Standards-Version: 4.5.0
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
@@ -29,7 +29,7 @@
 Depends:
  python3-brotli (>= 1.0.7),
  python3-pkg-resources,
- python3-scipy (>= 1.2.2) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.3.3) | python3-munkres (>= 1.1.2),
  python3-sympy,
  python3-fs (>= 2.4.11),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	python3 MetaTools/buildUCD.py --ucd-path=/usr/share/unicode
	PYTHONPATH="./Lib" python3 MetaTools/buildTableList.py
	dh_auto_build

override_dh_sphinxdoc:
	sphinx-build $(CURDIR)/Doc/source $(CURDIR)/debian/python-fonttools-doc/usr/share/doc/fonttools/html/
	dh_sphinxdoc

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-all,
         python3-fonttools,
         python3-pytest

## fonttools 4.16.1

=== debian/changelog ===
fonttools (4.16.1-1) unstable; urgency=medium

  * New upstream version 4.16.1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 17:58:26 +0800

fonttools (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0
  * debian/gbp.conf: Change packaging salsa branch to debian/master in
    compliance of Debian Python Policy
  * debian/control:
    - Use debhelper 13
    - debian/control: Update dependencies, add ufolib2 for testing purposes

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 25 Jul 2020 12:53:08 +0800

fonttools (4.10.2-1) unstable; urgency=medium

  * New upstream version 4.10.2
  * Add python3-sphinx-rtd-theme as Build-Dependency
  * Fix test related issues

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 28 May 2020 22:07:49 +0800

fonttools (4.7.0-2) unstable; urgency=medium

  * debian/control: Temporarily remove python3-ufolib2 dependency used in test
    due to circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:50:43 +0800

fonttools (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Update dependencies for ufolib2 check, and allow test to be disabled to
    avoid Build-Dep circular dependency

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 06 Apr 2020 00:26:32 +0800

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
  Luke Faraone <lfaraone@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-brotli (>= 1.0.7),
+ python3-brotli (>= 1.0.9),
  python3-pytest,
- python3-scipy (>= 1.3.3) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.5.2) | python3-munkres (>= 1.1.2),
  python3-setuptools,
  python3-sympy,
  python3-fs (>= 2.4.11),
+ python3-ufolib2 (>= 0.6.2),
  python3-lxml (>= 4.5.0),
  python3-sphinx,
- unicode-data (>= 13.0.0)
+ python3-sphinx-rtd-theme,
+ unicode-data (>= 13.0.0),
 Standards-Version: 4.5.0
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
@@ -27,9 +29,9 @@
 Section: python
 Architecture: all
 Depends:
- python3-brotli (>= 1.0.7),
+ python3-brotli (>= 1.0.9),
  python3-pkg-resources,
- python3-scipy (>= 1.3.3) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.5.2) | python3-munkres (>= 1.1.2),
  python3-sympy,
  python3-fs (>= 2.4.11),
  ${misc:Depends},

## fonttools 4.19.1

=== Makefile ===
all:
	./setup.py build

dist:
	./setup.py sdist bdist_wheel

install:
	pip install --ignore-installed .

install-user:
	pip install --ignore-installed --user .

uninstall:
	pip uninstall --yes fonttools

check: all
	./run-tests.sh

clean:
	./setup.py clean --all

docs:
	cd Doc && $(MAKE) html

.PHONY: all dist install install-user uninstall check clean docs

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.9; platform_python_implementation != "PyPy"
brotlipy==0.7.0; platform_python_implementation == "PyPy"
unicodedata2==13.0.0.post2; python_version < '3.9' and platform_python_implementation != "PyPy"
scipy==1.5.4; platform_python_implementation != "PyPy"
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.1.6
fs==2.4.11
skia-pathops==0.5.1.post1; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.6.2
pyobjc==6.2.2; sys_platform == "darwin"

=== debian/changelog ===
fonttools (4.19.1-1) unstable; urgency=medium

  * New upstream version 4.19.1
  * debian/copyright: Update copyright information
  * debian/control: Update build- and runtime- dependencies
  * debian/control: Change python3-fonttools Architecture from all to any
    due to cu2qu inclusion
  * debian/control: Bump Debian Policy standard to 4.5.1
    - Note that some files in Lib/fontTools/unicodedata are removed from
      source packages and generated during build.  These are derived from
      unicode-data and their copyright info are already documented.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Jan 2021 07:38:19 +0800

fonttools (4.18.2-1) unstable; urgency=medium

  * New upstream version 4.18.2

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 19 Dec 2020 00:23:20 +0800

fonttools (4.18.1-1) unstable; urgency=medium

  * New upstream version 4.18.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 23:05:37 +0800

fonttools (4.17.1-1) unstable; urgency=medium

  * New upstream version 4.17.1
  * debian/control: Bump Standards-Version to 4.5.1.  No changes needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 26 Nov 2020 21:43:14 +0800

fonttools (4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 15 Nov 2020 23:11:02 +0800

=== debian/control ===
--- 
+++ 
@@ -9,33 +9,37 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-all-dev,
+ cython3 (>= 0.28.5),
+ python3-ufolib2 (>= 0.6.2),
  python3-brotli (>= 1.0.9),
  python3-pytest,
- python3-scipy (>= 1.5.2) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.5.4) | python3-munkres (>= 1.1.4),
  python3-setuptools,
  python3-sympy,
  python3-fs (>= 2.4.11),
- python3-ufolib2 (>= 0.6.2),
  python3-lxml (>= 4.5.0),
  python3-sphinx,
  python3-sphinx-rtd-theme,
  unicode-data (>= 13.0.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
 
 Package: python3-fonttools
 Section: python
-Architecture: all
+Architecture: any
 Depends:
  python3-brotli (>= 1.0.9),
  python3-pkg-resources,
- python3-scipy (>= 1.5.2) | python3-munkres (>= 1.1.2),
+ python3-scipy (>= 1.5.4) | python3-munkres (>= 1.1.4),
+ python3-ufolib2 (>= 0.6.2) | python3-defcon (>= 0.6.0),
  python3-sympy,
  python3-fs (>= 2.4.11),
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+ ${shlibs:Depends},
 Replaces: fonttools (<< 3.15.1-3)
 Breaks: fonttools (<< 3.15.1-3)
 Description: Converts OpenType and TrueType fonts to and from XML (Python 3 Library)
@@ -67,7 +71,8 @@
 Package: fonttools
 Depends:
  ${python3:Depends},
- python3-fonttools (= ${source:Version}),
+ python3-fonttools (>= ${source:Version}),
+ python3-fonttools (<< ${source:Version}.1~),
  ${misc:Depends}
 Architecture: all
 Description: Converts OpenType and TrueType fonts to and from XML (Executables)

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+# skip doctest with afmLib due to file loading issue with dh_auto_test
+# TOFIX(mwei): find a fix to this
+export PYBUILD_TEST_ARGS = -k "not afmLib"
 
 override_dh_auto_build:
 	python3 MetaTools/buildUCD.py --ucd-path=/usr/share/unicode
@@ -13,3 +17,8 @@
 override_dh_sphinxdoc:
 	sphinx-build $(CURDIR)/Doc/source $(CURDIR)/debian/python-fonttools-doc/usr/share/doc/fonttools/html/
 	dh_sphinxdoc
+
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
+	dh_auto_test
+endif

## fonttools 4.23.1

=== debian/changelog ===
fonttools (4.23.1-1) unstable; urgency=medium

  * New upstream version 4.23.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 20:41:41 +0800
